VkDisplayPropertiesKHR Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkDisplayPropertiesKHR:
[legend]

## Data Fields

VkDisplayKHR | display
const char * | displayName
VkExtent2D | physicalDimensions
VkExtent2D | physicalResolution
VkSurfaceTransformFlagsKHR | supportedTransforms
VkBool32 | planeReorderPossible
VkBool32 | persistentContent

## Detailed Description

Definition at line 3636 of file vulkan.h.

## Field Documentation

## display

VkDisplayKHR VkDisplayPropertiesKHR::display

Definition at line 3637 of file vulkan.h.

## displayName

const char* VkDisplayPropertiesKHR::displayName

Definition at line 3638 of file vulkan.h.

## persistentContent

VkBool32 VkDisplayPropertiesKHR::persistentContent

Definition at line 3643 of file vulkan.h.

## physicalDimensions

VkExtent2D VkDisplayPropertiesKHR::physicalDimensions

Definition at line 3639 of file vulkan.h.

## physicalResolution

VkExtent2D VkDisplayPropertiesKHR::physicalResolution

Definition at line 3640 of file vulkan.h.

## planeReorderPossible

VkBool32 VkDisplayPropertiesKHR::planeReorderPossible

Definition at line 3642 of file vulkan.h.

## supportedTransforms

VkSurfaceTransformFlagsKHR VkDisplayPropertiesKHR::supportedTransforms

Definition at line 3641 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h